//Basic Color Shader

#type vertex
attribute in vec3 a_Position;
attribute in vec4 a_Color;

uniform mat4 u_ViewProjection;
uniform mat4 u_Transform;

void main()
{
	gl_Position = u_ViewProjection * u_Transform * vec4(a_Position, 1.0);	
}

#type fragment
uniform vec4 u_Color;

void main()
{
	gl_FragColor  = u_Color;
}